### Method

# Adw MultiLayoutView get_layout_by_name

since: 1.6

#### Declaration [src]

    AdwLayout*
    adw_multi_layout_view_get_layout_by_name (
      AdwMultiLayoutView* self,
      const char* name
    )

#### Description [src]

Gets layout with the name `name` from `self`, or `NULL` if it doesn’t exist.

See `AdwLayout:name`.

Available since: 1.6

#### Parameters

`name`

  Type: `const char*`

  The name of the layout.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AdwLayout`

The layout with `name`.

The returned data is owned by the instance.
The return value can be `NULL`.